Create a new invoice from an existing estimate

http
POST https://services.leadconnectorhq.com/invoices/estimate/{estimateId}/invoice

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
estimateIdstringYes5f9d6d8b1b2d2c001f2d9e4bEstimate Id

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYesPossible values: 'account'
markAsInvoicedbooleanYesTrueMark Estimate as Invoiced
versionstringNov2Version of the update request Possible values: 'v1', 'v2'

Responses

200 - Successfully Created
  • estimate (object, required): Estimate details

  • invoice (object, required): Invoice details

json
{}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/invoice' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "markAsInvoiced": true,
  "version": "v2"
}'

Last updated October 26, 2026

Was this page helpful?